<!-- load crispy tags -->
{% load crispy_forms_tags %}
<button type="button"
        class="col-12 btn btn-dark text-white border border-white"
        data-bs-toggle="modal"
        data-bs-target="#newDeviceModal"
        data-bs-whatever="@nDv">{{ page_title }}</button>
<div class="modal fade"
     id="newDeviceModal"
     tabindex="-1"
     aria-labelledby="newDeviceModalLabel"
     aria-hidden="true">
  <div class="modal-dialog px-3">
    <div class="modal-content">
      <div class="modal-header bg-secondary text-white border">
        <h1 class="modal-title fs-5" id="newDeviceModalLabel">{{ page_title }}</h1>
        <button type="button"
                class="btn-close"
                data-bs-dismiss="modal"
                aria-label="Close"></button>
      </div>
      <div class="modal-body px-3 text-dark">
        <div class="row col-12 m-auto p-0">
          <div class="col-12 border-bottom pb-2 my-2">
            <form action="{% url 'datacenter:device-create' pk_rack=pk_rack %}"
                  method="post">
              <!-- add form errors displayed via crispy -->
              {{ form|as_crispy_errors:"bootstrap5" }}
              {% crispy form_device %}
            </div>
          </div>
        </div>
        <div class="modal-footer px-3">
          <div class="row col-12 p-2">
            <button type="button"
                    class="col-6 border border-white btn btn-secondary"
                    data-bs-dismiss="modal">Close</button>
            <button class="col-6 border border-white btn btn-dark text-white"
                    type="submit"
                    name="submit_device">Save</button>
          </form>
        </div>
      </div>
    </div>
  </div>
</div>
